<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Pages extends MY_Controller {

	function __construct()
	{
            parent::__construct();
            
	}

        
        
	function index()
	{
            
            $this->check_login_status();
            
            redirect('/admin');
		$this->layout = 'landing';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'pageheader' => 'homepage_header',
      'footer' => 'footer'
      );
    
    $this->data['title'] = 'Welcome to MRIApp.com' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'homepage';
	}

  function howitworks()
	{
       
      $this->check_login_status();
      
      redirect('/admin');
		$this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
      );

    $this->data['title'] = 'How MRIApp.com Works' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'how';
    $this->data['page_nav'] = 'how';
    $this->data['pageheader_h1'] = 'MRI App makes the MRI screening process much easier for potential patients, reduces paperwork, and helps eliminates simple mistakes.';
    $this->data['pageheader_h1_class'] = 'doubleline';
	}

  function why()
	{
      
      $this->check_login_status();
      redirect('/admin');
		$this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
      );

    $this->data['title'] = 'How MRIApp.com Works' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'why';
    $this->data['page_nav'] = 'why';
    $this->data['pageheader_h1'] = 'Helping MRI Technologists reach their patients more efficiently.';
    $this->data['pageheader_h1_class'] = '';
	}

  function tour()
	{
      
      $this->check_login_status();
      redirect('/admin');
		$this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
      );

    $this->data['title'] = 'How MRIApp.com Works' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'tour';
    $this->data['page_nav'] = 'tour';
    $this->data['pageheader_h1'] = 'Simple and Intuitive data input guides the patient through.';
    $this->data['pageheader_h1_class'] = '';
	}

     function contact(){
          
          redirect('/admin');
          $this->layout = 'inner';
          
            $this->asides = array(
              'head' => 'head',
              'js_footer' => 'js_footer',
              'login_wrapper' => 'login_wrapper',
              'nav' => 'nav',
              'footer' => 'footer'
              );

            $this->data['title'] = 'How MRIApp.com Works' ;
            $this->data['meta_description'] = '' ;
            $this->data['meta_keywords'] = '' ;
            $this->data['body_id'] = 'singlepage';
            $this->data['page_nav'] = 'contact';
            $this->data['pageheader_h1'] = "Interested? We're here to help.";
            $this->data['pageheader_h1_class'] = '';

          
          //the form has been submitted  
          if($this->input->post('name')){
               $data['name'] = $this->input->post('name');
               $data['email'] = $this->input->post('email');
               $data['phone'] = $this->input->post('phone');
               $data['address'] = $this->input->post('address');
               $data['comments'] = $this->input->post('comments');
               $data['ip_address'] = $_SERVER['REMOTE_ADDR'];
               
               $email_template = $this->load->view('email/contact-form', $data, TRUE);
               
               $this->load->library('email');
               
               $config['mailtype'] = 'html';
               $config['charset'] = 'iso-8859-1';
               $config['wordwrap'] = TRUE;
               $this->email->initialize($config);
               $this->email->from('no-reply@mriapp.com', 'MRI APP Contact Form');
               $this->email->to('mrisolutionsllc@gmail.com');
               //$this->email->cc('another@another-example.com');
               //$this->email->bcc('them@their-example.com');

               $this->email->subject('MRI App Contact Form Submission');
               $this->email->message($email_template);
               
               $this->email->send();
               
               $this->data['message'] = 'Form submitted successfully.  Someone
                    will be in contact with you shortly.  Thank you for your interest in
                    MRI App.';
          }
          else{
               
          }

     }

  function hippa()
	{
      
       
      $this->check_login_status();
      redirect('/admin');
		$this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
      );

    $this->data['title'] = 'How MRIApp.com Works' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'singlepage';
    $this->data['pageheader_h1'] = "The HIPAA Privacy Rule's Right Of Access";
    $this->data['pageheader_h1_class'] = '';
	}

  function privacy()
	{
      
      $this->check_login_status();
      redirect('/admin');
		$this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
      );

    $this->data['title'] = 'How MRIApp.com Works' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'singlepage';
    $this->data['pageheader_h1'] = "Privacy Policy";
    $this->data['pageheader_h1_class'] = '';
	}

  function tempadmin()
	{
	$this->check_login_status();	
        redirect('/admin');
      
      $this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
      );

    $this->data['title'] = 'How MRIApp.com Works' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'singlepage';
    $this->data['pageheader_h1'] = "Temp example of what the admin panel should look like";
    $this->data['pageheader_h1_class'] = '';
	}
        
        
        
        
        
        function check_login_status(){
            if (!$this->tank_auth->is_logged_in()) {
               redirect('client/login');
            }
            else{
                 if($this->tank_auth->is_role(0)) {//redirect for users
                    redirect('form/disclaimer');
                  } else if($this->tank_auth->is_role(1)) {//redirect for admins
                    redirect('admin');
                  } else if ($this->tank_auth->is_role(9)) {//redirect for super_admins
                    redirect('admin');
                  }
            }
        }
}
