<?php if (!defined('BASEPATH')) exit('No direct script access allowed');


function process_question_type($question, $language){
    $ci =& get_instance();
    
    //set the class
    if($question->question->required){
        $class = 'text_field required';
    }
    else{
        $class = 'text_field';
    }
    
    
    if(strtolower($question->question->type) == 'string'){ //label with string

        if($language == 'en'){
            $html = '
                <label for="response_'.$question->question->id.'">'.$question->question->text.'</label>
                <input type="text" class="'.$class.'" name="response_'.$question->question->id.'"  id="response_'.$question->question->id.'" />
            ';
        }
        else{
           $html = '
                <label for="response_'.$question->question->id.'">'.$question->question->text_spanish.'</label>
                <input type="text" class="'.$class.'" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'" />
            '; 
        }
        
        
    }
    else if(strtolower($question->question->type) == 'date'){//return date field
        if($language == 'en'){
            $html = '
                <label for="response_'.$question->question->id.'">'.$question->question->text.'</label>
                <input type="text" class="'.$class.' date_picker" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'" />
            ';
        }
        else{
           $html = '
                <label for="response_'.$question->question->id.'">'.$question->question->text_spanish.'</label>
                <input type="text" class="'.$class.' date_picker" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'" />
            '; 
        }
        
    }
    else if(strtolower($question->question->type) == 'radio'){ // only one value like this, gender
        if($language == 'en'){
            $html = '
                <label for="response_'.$question->question->id.'">'.$question->question->text.'</label>
                M <input type="radio" class="'.$class.'" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'_male" value="M" />
                F <input type="radio" class="'.$class.'" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'_female" value="F" />
            ';
        }
        else{
           $html = '
                <label for="response_'.$question->question->id.'">'.$question->question->text_spanish.'</label>
                H <input type="radio" class="'.$class.'" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'_male" value="M" />
                M <input type="radio" class="'.$class.'" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'_female" value="F" />
            '; 
        }
    }
    else if(strtolower($question->question->type) == 'boolean'){ //return a radio with yes or no message
        if($language == 'en'){
            $html = '
                <label for="response_'.$question->question->id.'">'.$question->question->text.'</label>
                Yes <input type="radio" class="'.$class.'" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'_yes" value="1" />
                No <input type="radio" class="'.$class.'" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'_no" value="0" />
            ';
        }
        else{
           $html = '
                <label for="response_'.$question->question->id.'">'.$question->question->text_spanish.'</label>
                Si <input type="radio" class="'.$class.'" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'_yes" value="1" />
                No <input type="radio" class="'.$class.'" name="response_'.$question->question->id.'" id="response_'.$question->question->id.'_yes" value="0" />
            '; 
        }
    }
    /*
    else if(strtolower($question->question->type) == 'message'){//return a paragraph tag
        if($language == 'en'){
            $html = '
                <h2>'.$question->question->title.'</h2>
                <p>'.$question->question->instructions.'</p>
            ';
        }
        else{
           $html = '
               <h2>'.$question->question->title_spanish.'</h2>
                <p>'.$question->question->instructions_spanish.'</p>
            ';
        }
    }*/
    
    else if(strtolower($question->question->type) == 'message'){//return a paragraph tag
        if($language == 'en'){
            $html = '
                <h3>'.$question->question->text.'</h3>
            ';
        }
        else{
           $html = '
                <h3>'.$question->question->text_spanish.'</h3>
            ';
        }
    }
    else{
        $html = '';
    }
    //return the html
    return $html;
}



function parse_answer($answer){
     if($answer == 1){
          return '<strong style="color:red">Yes</strong>';
     }
     else{
          return '<strong>No</strong>';
     }
}
