<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

function format_questions_answers($questions, $answer,$show_all = FALSE) {
  $response_array = json_decode($answer, TRUE) ;
  $question_array = json_decode($questions, TRUE);
  
  //var_dump($response_array);
  
  /*foreach ($response_array['responses'] as $answer) {
       var_dump($answer['response']['answer']);
       echo '<br /><br />';
  }*/
  
  $html = ''; 
  $match = FALSE;
  foreach ($question_array['questions'] as $question) {
    foreach ($response_array['responses'] as $answer) {
      if($answer['response']['question_id'] == $question['question']['id']) {
        $html .= "<li><b id='question_".$question['question']['id']."'>".$question['question']['text'];
        $html .= "</b><span style='' id='answer_".$answer['response']['question_id']."'> ";
        //ar_dump($answer['response']);
        if (isset($answer['response']['answer']) && ($answer['response']['answer'] === 1 || @$answer['response']['answer'] === '1')) {
             if($question['question']['type'] == 'String'){
                   $html .= $answer['response']['answer'];
              }
              else{
                   $html .= "<span style=\"color:red\">YES</span>";
              }
          
        } else if (isset($answer['response']['answer']) && ($answer['response']['answer'] === 0 || $answer['response']['answer'] === '0')) {
          $html .= "NO";
        }
        else {
          if(isset($answer['response']['answer'])) {  
               $html .= $answer['response']['answer'] ;
          }
          else{
               $html .= '';
          }
        }
        $html .= "</span></li>";
      $match = TRUE;
      } 
    }
    if ($show_all && $match == FALSE) {
      $html .= "<li><b id='question_".$question['question']['id']."'>".$question['question']['text'];
      if($question['question']['type'] != 'Message'){
          $html .= "</b><span style='color: red'> NO ANSWER </span></li>";
      }
    }
    $match = FALSE;
    
    if(isset($question['question']['follow_up_questions'])) {
      foreach($question['question']['follow_up_questions'] as $question) {
        foreach ($response_array['responses'] as $answer) {
        
          if($answer['response']['question_id'] == $question['question']['id']) {
            $html .= "<li style='margin-left:25px'><b id='question_".$question['question']['id']."'>".$question['question']['text'];
            //$html .= "</b><span style='color: red' id='answer_".$answer['response']['question_id']."'> ";
            $html .= "</b> ";
            if (isset($answer['response']['answer']) && ($answer['response']['answer'] === 1 || $answer['response']['answer'] === '1')) {
              if($question['question']['type'] == 'String'){
                   $html .= $answer['response']['answer'];
              }
              else{
                   $html .= "<span style='color: red'>YES</span>";
              }
              
            } else if (isset($answer['response']['answer']) && ($answer['response']['answer'] === 0 || $answer['response']['answer'] === '0')) {
              $html .= "NO";
            }
            else {
               if(isset($answer['response']['answer'])) {  
                    $html .= $answer['response']['answer'] ;
               }
               else{
                    $html .= '';
               }
            }
            //$html .= "</span></li>";
            $html .= "</li>";
          $match = TRUE;
          } 
        }
        if ($show_all && $match == FALSE) {
          $html .= "<li><b id='question_".$question['question']['id']."'>".$question['question']['text'];
          
          if($question['question']['type'] != 'Message'){
               $html .= "</b><span style='color: red'> NO ANSWER </span></li>";
          }
          
        }
        $match = FALSE;
      }
    }
  }
  
  return $html;
}

/*
function format_questions_answers_pdf($questions, $answer,$show_all = FALSE) {
  $response_array = json_decode($answer, TRUE) ;
  $question_array = json_decode($questions, TRUE);
  $html = ''; 
  $match = FALSE;
  foreach ($question_array['questions'] as $question) {
    foreach ($response_array['responses'] as $answer) {
      if($answer['response']['question_id'] == $question['question']['id']) {
        if(in_array($question['question']['id'], array(1,2,3))) {
          $html .= "<b id='question_".$question['question']['id']."'>".$question['question']['text'];
        } else {
          $html .= "<p style='margin-top:2px; margin-bottom:2px'><b id='question_".$question['question']['id']."'>".$question['question']['text'];
        }
        $html .= "</b><span style='color: red' id='answer_".$answer['response']['question_id']."'> ";
        if ($answer['response']['answer'] === 1 || $answer['response']['answer'] === '1') {
          $html .= "YES";
        } else if ($answer['response']['answer'] === 0 || $answer['response']['answer'] === '0') {
            if($question['question']['id'] != 61) {
              $html .= "NO";
            }
            else  {$html .= "";}
        }
        else {
          $html .= $answer['response']['answer'] ;
        }
        if(in_array($question['question']['id'], array(1,2,3))) {
          $html .= "</span>&nbsp;&nbsp;";
        } else {
          $html .= "</span></p>";
        }
        
      $match = TRUE;
      } 
    }
    if ($show_all && $match == FALSE) {
      $html .= "<p style='margin-top:0px; margin-bottom:1px'><b id='question_".$question['question']['id']."'>".$question['question']['text'];
      $html .= "</b><span style='color: red'> NO ANSWER </span></p>";
    }
    $match = FALSE;
    
    if(isset($question['question']['follow_up_questions'])) {
      foreach($question['question']['follow_up_questions'] as $question) {
        foreach ($response_array['responses'] as $answer) {
        
          if($answer['response']['question_id'] == $question['question']['id']) {
            $html .= "<p style='margin-top:0px; margin-bottom:1px'><b id='question_".$question['question']['id']."'>".$question['question']['text'];
            $html .= "</b><span style='color: red' id='answer_".$answer['response']['question_id']."'> ";
            if ($answer['response']['answer'] === 1 || $answer['response']['answer'] === '1') {
              $html .= "YES";
            } else if ($answer['response']['answer'] === 0 || $answer['response']['answer'] === '0') {
              $html .= "NO";
            }
            else {
              $html .= $answer['response']['answer'] ;
            }
            $html .= "</span></p>";
          $match = TRUE;
          } 
        }
        if ($show_all && $match == FALSE) {
          $html .= "<p style='margin-top:0px; margin-bottom:1px'><b id='question_".$question['question']['id']."'>".$question['question']['text'];
          $html .= "</b><span style='color: red'> NO ANSWER </span></p>";
        }
        $match = FALSE;
      }
    }
    if($question['question']['id'] == 9) {
      $html .= "<br/><br/><b>Screening Contraindications:</b> (Not eligible for MR exam)<br/>";
    } elseif ($question['question']['id'] == 22) {
      $html .= "<br/><br/><b>Female Patients Only:</b><br/>";
    } elseif ($question['question']['id'] == 24) {
      $html .= "<br/><br/><br/><br/><br/>";
      $html .= "____________________________________________________ &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; _____________________<br/>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Signature (Patient, Parent or Guardian) &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Date <br/><br/><br/><br/><p style='page-break-after:always'>&nbsp;</p>

<b style='font-size:12px; line-height:14px'>GADOLINIUM<b><br/><span style='font-size:10px; line-height:10px'>
The radiologist may deem it necessary to give you an intravenous injection of a contrast material containing <b><i>gadolinium</i></b> to improve the quality of your MRI examination. Although gadolinium agents have been used safely in millions of patients, minor reactions (principally headaches or nausea) occur in less than 5% of patients, and serious or life-threatening reactions have been reported in less than 1%.</span><br/><br/>
";
    } elseif ($question['question']['id'] == 26) {
      $html .= "<br/><br/><b>Please indicate if you have any of the following:</b><br/>";
    } elseif ($question['question']['id'] == 60) {
      $html .= "<br/><br/>";
      $html .= "____________________________________________________ &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; _____________________<br/>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Signature (Patient, Parent or Guardian) &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Date <br/><br/><br/><br/><p style='page-break-after:always'>&nbsp;</p>

<b>Warning:</b> Certain implants, devices, or objects may be hazardous to you and/or may interfere with the MR procedure (i.e., MRI, MR angiography, functional MRI, MR spectroscopy). <b>Do not enter</b> the MR system room or MR environment if you have any questions or concern regarding an implant, device, or object. Consult the MRI Technologist or Radiologist BEFORE entering the MR system room. <b>The MR system magnet is ALWAYS on.</b>

";
    } elseif ($question['question']['id'] == 61) {
      
      $html .= "<br/><br/><br/><b>Important Instructions</b><br/>
Before entering the MR environment or MR system room, you must remove all metallic objects including hearing aids, dentures, partial plates, keys, beeper, cell phone, eyeglasses, hair pins, barrettes, jewelry, watch, safety pins, paperclips, money clip, credit cards, coins, pens, pocket knife, nail clipper, tools, clothing with metal fasteners, & clothing with metal threads. <br/><br/>

You will be able to secure your belongings in a locked cabinet prior to entering the MR room. <br/><br/><br/>

I attest that the above information is correct to the best of my knowledge. I read and understand the contents of this form and had the opportunity to ask questions regarding the information on this form regarding the MR procedure that I am about to undergo.<br/><br/><br/>

____________________________________________________ &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; _____________________<br/>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Signature (Patient, Parent or Guardian) &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Date <br/><br/><br/><br/>




Form Completed By: &nbsp;&nbsp;&nbsp; __ Patient __ Relative &nbsp;&nbsp;&nbsp;______________________________________<br/>
 &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;Print Name / Relationship to Patient<br/><br/><br/><br/>

Form Information Reviewed By: ________________________________________________<br/>
 &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
Technologist Signature
<br/><br/><br/><br/>
___________________________________________________   &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;  _____________________<br/>
Signature of Radiologist/Physician providing informed consent &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;  Date<br/>

and/or determining patient safe to undergo MRI procedure.
";
      
      
    }
    
    

    
    elseif(in_array($question['question']['id'],array(12,14,16,18,20))) {
      $html .= "<br/><br/>";
    }
    
  }
  
  return $html;
}
*/