<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

/**
 * FORMATPHONE
 * Converts phone numbers to the formatting standard
 * 
 * @param   String   $num   A unformatted phone number
 * @return  String   Returns the formatted phone number
 */
 function format_phone($phone)
{
	if (substr($phone, 0,1) == '1') { $phone = substr($phone, 1, strlen($phone)) ; } ;
	
	$phone = preg_replace("/[^0-9]/", "", $phone);

	if(strlen($phone) == 7)
		return preg_replace("/([0-9]{3})([0-9]{4})/", "$1-$2", $phone);
	elseif(strlen($phone) == 10)
		return preg_replace("/([0-9]{3})([0-9]{3})([0-9]{4})/", "($1) $2-$3", $phone);
	else
		return $phone;
}


// echo formatPhone('1 208 - 386 2934');
// will print: (208) 386-2934


function prep_phone_number_for_db($number)
	{
		
		$number = preg_replace("/[^0-9]/", "", $number);
		
		if (substr($number, 0,1) != '1') { $number = '1' . $number ; } ; 
		
		return $number ;
		
	}
