<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <?= $output_head; ?>
  </head>
  <body id="<?= $body_id; ?>">
    <?= $output_login_wrapper; ?>
    <div class="pagewrapper">
      <div class="headerwrapper">
        <div id="header">
          <span class="logo"><a href="<?= base_url(); ?>">MRI App</a></span>
          <div class="nav">
            <?= $output_nav; ?>
          </div>
          <div class="clearDiv"></div>

          <div id="pageheader">
            <h1>Streamline MRI Screening Procedures. Simple. Secure. Scaleable.</h1>
            <div class="clearDiv"></div>
            <?= $output_pageheader; ?>
          </div>
          <div class="clearDiv"></div>
        </div>
        <div class="clearDiv"></div>
      </div>
    </div>
    <div class="clearDiv"></div>

    <div class="contentwrapper">
      <div id="container">
        <?= $output?>
      </div>
      <div class="clearDiv"></div>
    </div>
    <div class="clearDiv"></div>

    <div class="footerwrapper">
      <div id="footer">
        <?= $output_footer; ?>
        <div class="clearDiv"></div>
      </div>
      <div class="clearDiv"></div>
    </div>
    <?= $output_js_footer; ?>
  </body>
</html>
