<div id="content" role="main" class="left2col floatleft padding brownline"> 
                               <h2 class="dkblue">MRI App Makes the MRI Screening process much easier for potential patients, reduces paperwork, and helps eliminates simple mistakes.</h2> 
                               <div class="clearDiv spacer20"></div> 
                               <div class="singlecol floatleft"> 
                               <h3 class="medblue">Why MRI App?</h3> 
                               <p>Our goal is to provide software for public and private MRI sites that will screen potential patients for a MRI procedure. It will inform patients of the warnings and dangers of the MRI environment. The information within MRI App will accurately clear up confusion that is often encountered with MRI.  Proper screening of potential patients is the most important aspect of the MRI procedure. The app is customizable to the specific screening questions currently used at your facility.</p> 
                               <p>Our approach will end the impersonal process of handing a patient a clipboard of documents to fill it out. All of the information needed to properly screen and prepare a patient for a MRI exam can be streamlined with MRI App. This will result in a more efficient and effective screening.The documentation produced by MRI App is accessible by the end user instantly via <a href="index.html">MRIApp.com</a>. By providing essential information to the site where the exam will be performed quickly, the patient can be scanned in a more timely manner.</p> 
 
                               </div> 
                               <div class="singlecol floatright"> 
                              <h3 class="medblue">It's a complicated procedure already.</h3> 
                               <p>Since the mid 80's MRI technology has changed infinitely.  The screening process has not.  Our customizable application can change that. No more stacks of hard to understand paperwork that is time consuming and difficult to fill out.  We offer a seamless app on an ipad for a potential patient to answer and submit their screening information. This technology will be essential with advance of electronic medical records. With the current changes affecting healthcare, the cancelation or rescheduling of a patient due to screening issues directly affects the bottom line of a MRI site.  MRI App will eliminate many of these issues. MRI App will inform patients about MRI procedures and decrease the amount of time it takes for a patient to be screened and scanned safely.  </p> 
                               </div> 
                             <div class="clearDiv"></div> 
                            </div> 
                            
                             <div id="features" class="floatright singlecol padding fuzzback"> 
                             <h2 class="headflag featurestitle">MRI App Features</h2> 
                             <ul> 
                             	<li class="featureicon sound">Multiple Language Support</li> 
                                <li class="featureicon lock">Secure Data Transfers</li> 
                                <li class="featureicon wifi">Wireless and 3G Compatibilty</li> 
                                <li class="featureicon portable">Portable for Mobile MRI's</li> 
                                <li class="featureicon people">Multiple Technologist Access</li> 
                                <li class="featureicon graph">Instant Patient Data</li> 
                                <li class="featureicon leaf">Reduces Paper Screenings</li> 
                             </ul> 
                        		
                             <div class="clearDiv"></div> 
                             </div> 
                            
                            
                            <div class="clearDiv smspacer"></div> 
                            <div class="clearDiv spacer"></div> 
                            <!-- TAB AREA --> 
                            <div id="sceneriotabs"> 
                            <h2 class="dkblue"><span class="medblue">How MRI App Streamlines the Screening Process,</span> Saving Time and Money:</h2> 
                    	<ul class="tabs"> 
                        <li><a href="#tab1" class="dkblue">Scenerio 1:<br /><span class="medblue">MRI Outpatient using MRI App</span></a></li> 
                        <li><a href="#tab2" class="dkblue">Scenerio 2:<br /><span class="medblue">Prescreen Provider use of MRI App</span></a></li> 
                        <li><a href="#tab3" class="dkblue">Scenerio 3:<br /><span class="medblue">Hospital/Emergency use of MRI App</span></a></li> 
 
                      </ul> 
            			<div class="clearDiv"></div> 
                        	<!-- TAB CONTAINERS --> 
                    		<div class="tab_container"> 
                                            <div id="tab1" class="tab_content"> 
                                                <!--Content--> 
                                                <img src="<?= base_url(); ?>static/images/content/scenerio-1.jpg" /> 
                                            
                                            <div class="clearDiv"></div> 
                                            </div> 
                            
                            
                                            <div id="tab2" class="tab_content"> 
                                            <!--Content--> 
                                        	
                                            <img src="<?= base_url(); ?>static/images/content/scenerio-2.jpg" /> 
                                            
                                            <div class="clearDiv"></div> 
                                            </div> 
                                            
                                            <div id="tab3" class="tab_content"> 
                                            <!--Content--> 
                                            <img src="<?= base_url(); ?>static/images/content/scenerio-3.jpg" /> 
                                            <div class="clearDiv"></div> 
                                            </div> 
                    		<!-- TAB CONTAINERS --> 
                            <div class="clearDiv"></div> 
                            </div> 
                            <div class="clearDiv"></div> 
             <!-- TAB AREA --> </div> 
