<?php
/**
* CRUD Controller for Mridatas
**/
class Mridatas extends CI_Controller{
	/**
	* Default Constructor
	**/
	public function __construct(){
		parent::__construct();
		$this->load->model('modelmridata', '', true);
        $this->load->helper(array('form', 'url'));
		
		$data['title'] = 'Welcome to MRIApp.com' ;
		$this->load->view('header', $data);
	}
	
	public function __destroy() {
		
	$this->load->view('footer');	
		
		
	}
	/**
	* Create new Mridata
	**/
	public function create(){
        $object = $this->modelmridata;
		$this->save($object);
	}
	/**
	* Edit Mridata
	**/
	public function edit($id){
        $this->save(($_POST) ? $this->modelmridata : $this->modelmridata->getById($id));
	}
	/**
	* Delete Mridata
	**/
	public function delete($id){
        $response = null;
        if($_POST && isset($_POST['agree']) && $_POST['agree'] == 'Yes'){
		    $response = $this->modelmridata->delete($id);
            redirect('mridatas');
            return;
        } else {
            if($_POST){
                redirect('mridatas');
                return;
            }
            $object = $this->modelmridata->getById($id);
        }
		$this->load->view('mridatas/delete', array(
            'response' => $response, 
            'object' => $object,
            'title' => 'Mridata',
			'heading' => 'Delete',
            )
        );
	}
	/**
	* List objects of Mridata
	**/
	public function index(){
		$data = array(
			'objects' => $this->modelmridata->all(),
			'title' => 'Mridata',
			'heading' => 'List',
		);
		$this->load->view('mridatas/list', $data);
	}
	/**
    * Save object Mridata
    **/
    private function save($object){
        $msg = null;
		if($_POST){
            $object->populate();
            if($object->validate()){
                $object->save();
                redirect('mridatas');
                return;
            } else {
                $msg = 'Please fill in all required fields';
            }
		}
        $this->load->view('mridatas/save', array(
            'title' => 'Mridata',
			'heading' => ($object->id) ? 'Edit' : 'New',
            'object' => $object,
            'msg' => $msg
            )
        );
    }

}

