<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Json extends MY_Controller {

    
     
  function __construct() {
    parent::__construct();
    $this->models = array('mridata');
    $this->_load_models(array(''));
    $this->load->helper(array('form', 'url'));
  }

  function index() {
    //$this->load->view('welcome_message');
  }

  function save() {
    $this->view = FALSE;
    $this->layout = FALSE;
    if($_POST) {
        
      ## Check Key 

      $key = '36276958226f493c744137482b' ;
      if ($this->input->post('key') != $key ) {
        echo '{ "response" : "ERROR", "message" : "invalid key" }' ;
        
         $log_data = array(
               'category' => 'User',
               'action' => 'Form',
               'label' => 'Save Error',
               'description' => 'Invalid key'
         );
       
         $this->log_model->logger($log_data);
        
        die();
      }
      $json = json_decode($this->input->post('json_data'))  ;
      if (!is_object($json)) {
        echo '{ "response" : "ERROR", "message" : "invalid json data"  }' ;
        
         $log_data = array(
               'category' => 'User',
               'action' => 'Form',
               'label' => 'Save Error',
               'description' => 'Invalid Json data'
         );
       
         $this->log_model->logger($log_data);
        
        die();
      }
      if (!$json->identifier) {
        echo '{ "response" : "ERROR", "message" : "no identifier"  }' ;
        
         $log_data = array(
               'category' => 'User',
               'action' => 'Form',
               'label' => 'Save Error',
               'description' => 'No identifier'
         );
       
         $this->log_model->logger($log_data);
        die();
      }
      $this->mridata->patient_id = $json->identifier;
      $this->mridata->screening_date = $json->screening_date;
      $this->mridata->email = $json->email;
      $this->mridata->phone = $json->phone;
      $this->mridata->notes = $json->notes;
      $this->mridata->first_name = $json->responses[1]->response->answer; //for now hardcoded, will need to rethink when more then one question set is an option.
      $this->mridata->last_name = $json->responses[3]->response->answer; //for now hardcoded, will need to rethink when more then one question set is an option.
      $this->mridata->gender = $json->responses[5]->response->answer; //for now hardcoded, will need to rethink when more then one question set is an option.
      $this->mridata->json_data = $this->input->post('json_data');

      if ($this->mridata->save()) {
        echo '{ "response" : "OK" }' ;
        
         $log_data = array(
               'category' => 'User',
               'action' => 'Form',
               'label' => 'Save Success',
         );
       
         $this->log_model->logger($log_data);
        
      }
    } else {
      echo '{ "response" : "ERROR", "message" : "not post data (json_data and key)" }' ;
       $log_data = array(
               'category' => 'User',
               'action' => 'Form',
               'label' => 'Save Error',
               'description' => 'not post data (json_data and key)'
         );
       
         $this->log_model->logger($log_data);
    }
  }

  function get() {
    $key = '36276958226f493c744137482b' ;
    $this->view = FALSE;
    $this->layout = FALSE;
    $this->output->set_header("Content-Type: application/json");
    //$this->output->set_content_type('application/json');
    if ($this->input->post('key') != $key ) {
      echo '{ "response" : "ERROR", "message" : "invalid key" }' ; die();
    } else {
      $this->load->view('json_questions');
    }
  }


}

/* End of file json.php */
/* Location: ./application/controllers/json.php */
