<div class="clearDiv"></div>



<?php $this->form_validation->set_error_delimiters('<div class="error">', '</div>'); ?>
<?php
$username = array(
  'name'	=> 'username',
  'id'	=> 'username',
  'value'	=> set_value('username'),
  'maxlength'	=> 80,
  'size'	=> 30,
);
$email = array(
  'name'	=> 'email',
  'id'	=> 'email',
  'value'	=> set_value('email'),
  'maxlength'	=> 80,
  'size'	=> 30,
);
$password = array(
  'name'	=> 'password',
  'id'	=> 'password',
  'value' => set_value('password'),
  'maxlength'	=> $this->config->item('password_max_length', 'tank_auth'),
  'size'	=> 30,
);
$confirm_password = array(
  'name'	=> 'confirm_password',
  'id'	=> 'confirm_password',
  'value' => set_value('confirm_password'),
  'maxlength'	=> $this->config->item('password_max_length', 'tank_auth'),
  'size'	=> 30,
);
$captcha = array(
  'name'	=> 'captcha',
  'id'	=> 'captcha',
  'maxlength'	=> 8,
);
$first_name = array(
  'name'	=> 'first_name',
  'id'	=> 'first_name',
  'value'	=> set_value('first_name'),
  'maxlength'	=> 80,
  'size'	=> 30,
);
$last_name = array(
  'name'	=> 'last_name',
  'id'	=> 'last_name',
  'value'	=> set_value('last_name'),
  'maxlength'	=> 80,
  'size'	=> 30,
);
$dob = array(
  'name'	=> 'dob',
  'id'	=> 'dob',
  'value'	=> set_value('dob'),
  'maxlength'	=> 20,
  'size'	=> 30,
);
$registerBtn = array(
  'name'	=> 'register',
  'class'	=> 'newregister',
  'value'	=> 'Register'
);
?>

<?php foreach($errors as $error) {
  return_user_message('error' , form_error($error));
} ?>
<? $username['class'] = return_user_message('error' , strip_tags(form_error($username['name']))) ;?>
<? $email['class'] = return_user_message('error' , strip_tags(form_error($email['name']))) ;?>
<? $password['class'] = return_user_message('error' , strip_tags(form_error($password['name']))) ;?>
<? $confirm_password['class'] = return_user_message('error' , strip_tags(form_error($confirm_password['name']))) ;?>
<? $captcha['class'] = return_user_message('error' , strip_tags(form_error($captcha['name']))) ;?>
<? $first_name['class'] = return_user_message('error' , strip_tags(form_error($first_name['name']))) ;?>
<? $last_name['class'] = return_user_message('error' , strip_tags(form_error($last_name['name']))) ;?>
<? $dob['class'] = return_user_message('error' , strip_tags(form_error($dob['name']))) ;?>
<? $registerBtn['class'] = return_user_message('error' , strip_tags(form_error($registerBtn['name']))) ;?>

<div class="clearDiv spacer"></div>
<?php echo form_open($this->uri->uri_string()); ?>
<h2 class="formheader">New Account Form:</h2>
<div class="clearDiv"></div>
<ul>
  <li>
    <span class="full">

      <?php echo form_label('Username', $username['id']); ?>
      <?php echo form_input($username); ?>
    </span>
    <div class="clearDiv"></div>
  </li>
  <li>
    <span class="full">

      <?php echo form_label('Email Address', $email['id']); ?>
      <?php echo form_input($email); ?>
    </span>
    <div class="clearDiv"></div>
  </li>
  <li>
    <span class="half">

      <?php echo form_label('First Name', $first_name['id']); ?>
      <?php echo form_input($first_name); ?>
    </span>
    <span class="half">

      <?php echo form_label('Last Name', $last_name['id']); ?>
      <?php echo form_input($last_name); ?>
    </span>
    <div class="clearDiv"></div>
  </li>
  <li>
    <span class="third">

      <?php echo form_label('Date of Birth', $dob['id']); ?>
      <input type="text" name="dob" value="<?php echo $birthdate ?>" id="dob" maxlength="20" size="30">
    </span>
    <span class="third">

      <?php echo form_label('Password', $password['id']); ?>
      <?php echo form_password($password); ?>
    </span>
    <span class="third">

      <?php echo form_label('Confirm Password', $confirm_password['id']); ?>
      <?php echo form_password($confirm_password); ?>
    </span>
    <div class="clearDiv"></div>
  </li>
  <li>
    <span class="full">

      <?php if ($captcha_registration) {
        if ($use_recaptcha) { ?>
      <div class="field">
        <div id="recaptcha_image"></div>
        <div class="recaptcha_helper">
          <a href="javascript:Recaptcha.reload()">Get another CAPTCHA</a>
          <div class="recaptcha_only_if_image"><a href="javascript:Recaptcha.switch_type('audio')">Get an audio CAPTCHA</a></div>
          <div class="recaptcha_only_if_audio"><a href="javascript:Recaptcha.switch_type('image')">Get an image CAPTCHA</a></div>
        </div>
      </div>
      <div class="clearDiv spacer"></div>
      <div class="field">

        <div>
          <div class="recaptcha_only_if_image"><label>Enter the words above</label></div>
          <div class="recaptcha_only_if_audio"><label>Enter the numbers you hear</label></div>
        </div>
        <input type="text" id="recaptcha_response_field" name="recaptcha_response_field" />
            <?php echo form_error('recaptcha_response_field'); ?>
            <?php echo $recaptcha_html; ?>
      </div>
          <?php } else { ?>
      <p>Enter the code exactly as it appears:</p>
          <?php echo $captcha_html; ?>

          <?php echo form_label('Confirmation Code', $captcha['id']); ?>
          <?php echo form_input($captcha); ?>

          <?php }
      } ?>
    </span>
    <div class="clearDiv"></div>
  </li>
  <li>
    <span class="full">
      <?php echo form_submit($registerBtn); ?>
    </span>
  </li>
</ul>

<?php echo form_close(); ?>

