<?php
$new_json_questions = '
  {
   "identifier":"1234",
   "questions":[
      {
         "question":{
            "screen_number":1,
            "id":1,
            "required":true,
            "text":"First Name",
            "text_spanish":"Nombre de Pila",
            "title":"Patient Information",
            "title_spanish":"Informacion del Paciente",
            "type":"String"
         }
      },
      {
         "question":{
            "screen_number":1,
            "id":2,
            "required":true,
            "text":"Mi",
            "text_spanish":"Inicial del segundo nombre",
            "title":"Patient Information",
            "title_spanish":"Informacion del Paciente",
            "type":"String" ,
            "length" : "2" 
         }
      },
      {
         "question":{
            "screen_number":1,
            "id":3,
            "required":true,
            "text":"Last Name",
            "text_spanish":"Apellido",
            "title":"Patient Information",
            "title_spanish":"Informacion del Paciente",
            "type":"String"
         }
      },
      {
         "question":{
            "screen_number":1,
            "id":4,
            "required":true,
            "text":"Date of Birth",
            "text_spanish":"Fecha de Nacimiento",
            "title":"Patient Information",
            "title_spanish":"Informacion del Paciente",
            "type":"Date"
         }
      },
      {
         "question":{
            "screen_number":1,
            "id":5,
            "required":true,
            "text":"Gender",
            "text_spanish":"Sexo",
            "title":"Patient Information",
            "title_spanish":"Informacion del Paciente",
            "type":"Radio"
         }
      },
      {
         "question":{
            "follow_up_questions":[
               {
                  "answer":1,
                  "question":{
                     "screen_number":2,
                     "id":7,
                     "required":true,
                     "text":"If yes. MRI exam date",
                     "text_spanish":"En caso de que si, en que fecha",
                     "type":"Date"
                  }
               },
               {
                  "answer":1,
                  "question":{
                     "screen_number":2,
                     "id":8,
                     "required":true,
                     "text":"Location of Previous MRI exam",
                     "text_spanish":"Local de examen previa",
                     "type":"String"
                  }
               },
               {
                  "answer":1,
                  "question":{
                     "screen_number":2,
                     "id":9,
                     "required":true,
                     "text":"Which part of the body",
                     "text_spanish":"En que parte del cuerpo",
                     "type":"String"
                  }
               }
            ],
            "screen_number":2,
            "id":6,
            "required":true,
            "text":"Have you ever had a MRI before",
            "text_spanish":"Ha tenido un analisis MRI antes",
            "title":"",
            "title_spanish":"",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":3,
            "id":10,
            "required":true,
            "text":"Pacemaker",
            "text_spanish":"Marcapasos",
            "title":"Screening Contraindications: (not eligible for MRI exam)",
            "title_spanish":"Contraindicaciones del analisis: (exclusivo para el examen)",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":3,
            "id":11,
            "required":true,
            "text":"Cerebral Aneurysm",
            "text_spanish":"Aneurismia Cerebral",
            "title":"Screening Contraindications: (not eligible for MRI exam)",
            "title_spanish":"Contraindicaciones del analisis: (exclusivo para el examen)",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":3,
            "id":12,
            "required":true,
            "text":"Cochlear Implant",
            "text_spanish":"Implante Cochlear",
            "title":"Screening Contraindications: (not eligible for MRI exam)",
            "title_spanish":"Contraindicaciones del analisis: (exclusivo para el examen)",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "follow_up_questions":[
               {
                  "answer":1,
                  "question":{
                     "screen_number":3,
                     "id":14,
                     "required":true,
                     "text":"Please Explain",
                     "text_spanish":"Por favor explique",
                     "type":"String"
                  }
               }
            ],
            "screen_number":4,
            "id":13,
            "required":true,
            "text":"Have you experienced any problem related to a previous MRI examination or MRI procedure?",
            "text_spanish":"Ha tenido una vez un problema relacionado con un examen MRI previa?",
            "title":"Screening Contraindications:",
            "title_spanish":"Contraindicaciones del analisis",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "follow_up_questions":[
               {
                  "answer":1,
                  "question":{
                     "screen_number":4,
                     "id":16,
                     "required":true,
                     "text":"Please Explain",
                     "text_spanish":"Por favor explique",
                     "type":"String"
                  }
               }
            ],
            "screen_number":5,
            "id":15,
            "required":true,
            "text":"Have you had an injury to the eye involving a metallic object or fragment (e.g., metallic slivers, shavings, foreign body, etc.)?",
            "text_spanish":"Ha tenido una vez una herida al ojo basado en cuerpos metalicos (ej., astilla metalicas, particula etc.)?",
            "title":"Screening Contraindications:",
            "title_spanish":"Contraindicaciones del analisis",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "follow_up_questions":[
               {
                  "answer":1,
                  "question":{
                     "screen_number":5,
                     "id":18,
                     "required":true,
                     "text":"Please Explain",
                     "text_spanish":"Por favor explique",
                     "type":"String"
                  }
               }
            ],
            "screen_number":6,
            "id":17,
            "required":true,
            "text":"Have you ever been injured by a metallic object or foreign body (e.g., BB, bullet, shrapnel, etc.)? ",
            "text_spanish":"Ha sido herido por un cuerpo metalico (e.g., balas, metralla, etc.)? ",
            "title":"Screening Contraindications:",
            "title_spanish":"Contraindicaciones del analisis",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "follow_up_questions":[
               {
                  "answer":1,
                  "question":{
                     "screen_number":6,
                     "id":20,
                     "required":true,
                     "text":"Please Explain",
                     "text_spanish":"Por favor explique",
                     "type":"String"
                  }
               }
            ],
            "screen_number":7,
            "id":19,
            "required":true,
            "text":"Do you have a history of asthma, allergic reaction, respiratory disease, or reaction to a contrast medium or dye used for an MRI, CT, or X-ray examination? ",
            "text_spanish":"Tiene una historia de asthma, reacciones alergicas, enfermedades respiratorias, o una reacion contra el medio o tinta usado para un MRI, CT, o radiografia?",
            "title":"Screening Contraindications:",
            "title_spanish":"Contraindicaciones del analisis",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "follow_up_questions":[
               {
                  "answer":1,
                  "question":{
                     "screen_number":7,
                     "id":22,
                     "required":true,
                     "text":"Please Explain",
                     "text_spanish":"Por favor explique",
                     "type":"String"
                  }
               }
            ],
            "screen_number":8,
            "id":21,
            "required":true,
            "text":"Do you have anemia or any disease(s) that affects your blood, a history of renal (kidney) disease, or seizures?",
            "text_spanish":"Tiene anemia, o alguna otra enfermidad que afecta su sangre, una historia de enfermedades renales, o epilepsia",
            "title":"Screening Contraindications:",
            "title_spanish":"Contraindicaciones del analisis",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":9,
            "id":23,
            "required":false,
            "text":"Are you pregnant or experiencing a late menstrual period? ",
            "text_spanish":"Esta embarazada o teniendo un retraso en su ciclo menstrual?",
            "title":"Female Patients Only:",
            "title_spanish":"Para Pacientes Mujeres Unicamente",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":9,
            "id":24,
            "required":false,
            "text":"Are you currently breastfeeding?",
            "text_spanish":"Esta en un periodo de lactancia?",
            "title":"Female Patients Only:",
            "title_spanish":"Para Pacientes Mujeres Unicamente",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":10,
            "id":25,
            "instructions":"The radiologist may deem it necessary to give you an intravenous injection of a contrast material containing gadolinium to improve the quality of your MRI examination. Although gadolinium agents have been used safely in millions of patients, minor reactions (principally headaches or nausea) occur in less than 5% of patients, and serious or life-threatening reactions have been reported in less than 1%.",
            "instructions_spanish":"El radiologo puede decidir que sea necesario administrale una inyeccion de una materia contraste que contiene Gadolinio para mejorar la calidad de su examen MRI.  Aunque gadolinio y derivados han sido usado sin contraindicacion en millones de pacientes, reaciones menores (principalmente dolores de cabeza o nausea) ocurren en menos de 5% de los pacientes, y reaciones serios o peligrosos a la vida han sido reportados en menos que 1% de pacientes.",
            "required":true,
            "text":"History of previous reaction",
            "text_spanish":"Historia clinica de reaccion previa",
            "title":"Gadolinium (MRI CONTRAST DYE):",
            "title_spanish":"El: Gadolinium (TINTURA DE CONTRASTE MRI):",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":10,
            "id":26,
            "instructions":"The radiologist may deem it necessary to give you an intravenous injection of a contrast material containing gadolinium to improve the quality of your MRI examination. Although gadolinium agents have been used safely in millions of patients, minor reactions (principally headaches or nausea) occur in less than 5% of patients, and serious or life-threatening reactions have been reported in less than 1%.",
            "instructions_spanish":"El radiologo puede decidir que sea necesario administrale una inyeccion de una materia contraste que contiene Gadolinio para mejorar la calidad de su examen MRI.  Aunque gadolinio y derivados han sido usado sin contraindicacion en millones de pacientes, reaciones menores (principalmente dolores de cabeza o nausea) ocurren en menos de 5% de los pacientes, y reaciones serios o peligrosos a la vida han sido reportados en menos que 1% de pacientes.",
            "required":true,
            "text":"Asthma or emphysema",
            "text_spanish":"Asma o enfisema",
            "title":"Gadolinium (MRI CONTRAST DYE):",
            "title_spanish":"Gadolinio (TINTURA DE CONTRASTE MRI):",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":11,
            "id":27,
            "required":true,
            "text":"Aneurysm clip(s)",
            "text_spanish":"Prenzas de aneurisma",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":11,
            "id":28,
            "required":true,
            "text":"Cardiac pacemaker",
            "text_spanish":"Marcapasos de Corazon",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":11,
            "id":29,
            "required":true,
            "text":"Implanted cardioverter defibrillator (ICD)",
            "text_spanish":"Implantado un desfibrilador cardioversor",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":11,
            "id":30,
            "required":true,
            "text":"Electronic implant or device",
            "text_spanish":"Implante o aparato Electronico",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":11,
            "id":31,
            "required":true,
            "text":"Artificial or prosthetic limb",
            "text_spanish":"Protesis",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":12,
            "id":32,
            "required":true,
            "text":"Metallic stent, filter, or coil",
            "text_spanish":"Stent, filtro o bobina metalica",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":12,
            "id":33,
            "required":true,
            "text":"Shunt",
            "text_spanish":"Derivacion sanguinea",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":12,
            "id":34,
            "required":true,
            "text":"Vascular access port/ catheter",
            "text_spanish":"Aceso o cateter vascular",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":12,
            "id":35,
            "required":true,
            "text":"Radiation seeds or implants",
            "text_spanish":"Semilla o implante radioactiva",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":12,
            "id":36,
            "required":true,
            "text":"Swan-Ganz or thermodilution catheter",
            "text_spanish":"Swan-Ganz o cateter thermodiluido",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":13,
            "id":37,
            "required":true,
            "text":"Medication patch",
            "text_spanish":"Parche para la piel",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":13,
            "id":38,
            "required":true,
            "text":"Any metallic fragment or foreign body",
            "text_spanish":"Fragmento metalico o cuerpo extrano",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":13,
            "id":39,
            "required":true,
            "text":"Wire mesh implant",
            "text_spanish":"Implante de red metalico",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":13,
            "id":40,
            "required":true,
            "text":"Tissue expander",
            "text_spanish":"Expansor de tejido",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":13,
            "id":41,
            "required":true,
            "text":"Surgical staples, clips, or metallic sutures",
            "text_spanish":"Grapas, clips o suturas metálicas Quirúrgicas",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":15,
            "id":42,
            "required":true,
            "text":"Joint replacement",
            "text_spanish":"Remplazo de articulacion",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":15,
            "id":43,
            "required":true,
            "text":"Bone/joint pin, screw, nail, wire, plate, etc.",
            "text_spanish":"Pin, tornillo, clavo, alambre, placas, etc. de hueso",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":15,
            "id":44,
            "required":true,
            "text":"IUD",
            "text_spanish":"IUD",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":15,
            "id":45,
            "required":true,
            "text":"Dentures or partials",
            "text_spanish":"Dentadura o arreglos parciales",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":15,
            "id":46,
            "required":true,
            "text":"Tattoos or permanent makeup",
            "text_spanish":"Tatuaje o maquillaje permanente",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":16,
            "id":47,
            "required":true,
            "text":"Body piercing(s)/jewelry",
            "text_spanish":"Piercings corporales",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":16,
            "id":48,
            "required":true,
            "text":"Hearing aids",
            "text_spanish":"Audifonos",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":16,
            "id":49,
            "required":true,
            "text":"Breathing problem or motion disorder",
            "text_spanish":"Problemas respiratorias o de equilibrio",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":16,
            "id":50,
            "required":true,
            "text":"Claustrophobia",
            "text_spanish":"Claustrofobia",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":16,
            "id":51,
            "required":true,
            "text":"Other implant",
            "text_spanish":"Implantes otros",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":17,
            "id":52,
            "required":true,
            "text":"Electronic implant or device",
            "text_spanish":"Implante o aparato Electronico",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":17,
            "id":53,
            "required":true,
            "text":"Magnetically activated implant or device",
            "text_spanish":"Implante o aparato activado por imanes",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":17,
            "id":54,
            "required":true,
            "text":"Neuro-stimulator",
            "text_spanish":"Estimulador Nueral",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":17,
            "id":55,
            "required":true,
            "text":"Spinal cord stimulator",
            "text_spanish":"Estimulador de columna",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":17,
            "id":56,
            "required":true,
            "text":"Internal electrodes or wires",
            "text_spanish":"Electrodes o alambres internas",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":18,
            "id":57,
            "required":true,
            "text":"Bone growth/bone fusion stimulator",
            "text_spanish":"Estimulador de crecimiento o fusion de hueso",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":18,
            "id":58,
            "required":true,
            "text":"Cochlear/ear implant",
            "text_spanish":"Implante coclear",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":18,
            "id":59,
            "required":true,
            "text":"Insulin or infusion pump",
            "text_spanish":"Bomba de insulina",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":18,
            "id":60,
            "required":true,
            "text":"Any type of prosthesis (eye, penile, etc.)",
            "text_spanish":"Algun tipo de protesis (ocular, genital, etc.)",
            "title":"Please indicate if you have any of the following:",
            "title_spanish":"Por favor indique si tiene alguno de los siguientes:",
            "type":"Boolean"
         }
      },
      {
         "question":{
            "screen_number":18,
            "id":61,
            "required":false,
            "text":"",
            "text_spanish":"",
            "title":"Important Instuctions",
            "title_spanish":"Instrucciones Importantes",
            "instructions":"Before entering the MR environment or MR system room, you must remove all metallic objects including hearing aids, dentures, partial plates, keys, beeper, cell phone, eyeglasses, hair pins, barrettes, jewelry, watch, safety pins, paperclips, money clip, credit cards, coins, pens, pocket knife, nail clipper, tools, clothing with metal fasteners and clothing with metal threads. You will be able to secure your belongings in a locked cabinet prior to entering the MR room.",
            "instructions_spanish":"Antes de entrar en el lugar del MRI, o en el cuarto de seguridad del MRI, debera quitar cualquier objeto metalico, incluyendo los audifonos, dentaduras, arreglos parciales, llaves, celulares, lentes, prenzas para el pelo, joyas, relojes, broches, grampas, villeteras, tarjetas de credito, monedas, lapizes, cuchillo de bolsillo, cortaunas, herramientas, ropa con detalles metalicas, etc.  Podra guardar sus pertenencias en un gabinete bajo llave antes de entrar en el cuarto del MRI",
            "type":"Message"
         }
      }
   ]
}
';

$json_decoded = (Array) json_decode($new_json_questions);
//convert the entire thing to an array
for($x=0; $x<count($json_decoded['questions']); $x++){
     $json_decoded['questions'][$x] = (Array) $json_decoded['questions'][$x];
     $json_decoded['questions'][$x]['question'] = (Array) $json_decoded['questions'][$x]['question'];
     
     if(isset($json_decoded['questions'][$x]['question']['follow_up_questions'])){
          
          for($y=0; $y<count($json_decoded['questions'][$x]['question']['follow_up_questions']); $y++){
               $json_decoded['questions'][$x]['question']['follow_up_questions'][$y] = (Array) $json_decoded['questions'][$x]['question']['follow_up_questions'][$y];
               $json_decoded['questions'][$x]['question']['follow_up_questions'][$y]['question'] = (Array) $json_decoded['questions'][$x]['question']['follow_up_questions'][$y]['question'];
          }
     }
     
}

header('Content-type: text/plain');
var_export($json_decoded);

/*
array (
  'identifier' => '1234',
  'questions' => 
  array (
    0 => 
    array (
      'question' => 
      array (
        'screen_number' => 1,
        'id' => 1,
        'required' => true,
        'text' => 'First Name',
        'text_spanish' => 'Nombre de Pila',
        'title' => 'Patient Information',
        'title_spanish' => 'Informacion del Paciente',
        'type' => 'String',
      ),
    ),
    1 => 
    array (
      'question' => 
      array (
        'screen_number' => 1,
        'id' => 2,
        'required' => true,
        'text' => 'Mi',
        'text_spanish' => 'Inicial del segundo nombre',
        'title' => 'Patient Information',
        'title_spanish' => 'Informacion del Paciente',
        'type' => 'String',
        'length' => '2',
      ),
    ),
    2 => 
    array (
      'question' => 
      array (
        'screen_number' => 1,
        'id' => 3,
        'required' => true,
        'text' => 'Last Name',
        'text_spanish' => 'Apellido',
        'title' => 'Patient Information',
        'title_spanish' => 'Informacion del Paciente',
        'type' => 'String',
      ),
    ),
    3 => 
    array (
      'question' => 
      array (
        'screen_number' => 1,
        'id' => 4,
        'required' => true,
        'text' => 'Date of Birth',
        'text_spanish' => 'Fecha de Nacimiento',
        'title' => 'Patient Information',
        'title_spanish' => 'Informacion del Paciente',
        'type' => 'Date',
      ),
    ),
    4 => 
    array (
      'question' => 
      array (
        'screen_number' => 1,
        'id' => 5,
        'required' => true,
        'text' => 'Gender',
        'text_spanish' => 'Sexo',
        'title' => 'Patient Information',
        'title_spanish' => 'Informacion del Paciente',
        'type' => 'Radio',
      ),
    ),
    5 => 
    array (
      'question' => 
      array (
        'follow_up_questions' => 
        array (
          0 => 
          array (
            'answer' => 1,
            'question' => 
            array (
              'screen_number' => 2,
              'id' => 7,
              'required' => true,
              'text' => 'If yes. MRI exam date',
              'text_spanish' => 'En caso de que si, en que fecha',
              'type' => 'Date',
            ),
          ),
          1 => 
          array (
            'answer' => 1,
            'question' => 
            array (
              'screen_number' => 2,
              'id' => 8,
              'required' => true,
              'text' => 'Location of Previous MRI exam',
              'text_spanish' => 'Local de examen previa',
              'type' => 'String',
            ),
          ),
          2 => 
          array (
            'answer' => 1,
            'question' => 
            array (
              'screen_number' => 2,
              'id' => 9,
              'required' => true,
              'text' => 'Which part of the body',
              'text_spanish' => 'En que parte del cuerpo',
              'type' => 'String',
            ),
          ),
        ),
        'screen_number' => 2,
        'id' => 6,
        'required' => true,
        'text' => 'Have you ever had a MRI before',
        'text_spanish' => 'Ha tenido un analisis MRI antes',
        'title' => '',
        'title_spanish' => '',
        'type' => 'Boolean',
      ),
    ),
    6 => 
    array (
      'question' => 
      array (
        'screen_number' => 3,
        'id' => 10,
        'required' => true,
        'text' => 'Pacemaker',
        'text_spanish' => 'Marcapasos',
        'title' => 'Screening Contraindications: (not eligible for MRI exam)',
        'title_spanish' => 'Contraindicaciones del analisis: (exclusivo para el examen)',
        'type' => 'Boolean',
      ),
    ),
    7 => 
    array (
      'question' => 
      array (
        'screen_number' => 3,
        'id' => 11,
        'required' => true,
        'text' => 'Cerebral Aneurysm',
        'text_spanish' => 'Aneurismia Cerebral',
        'title' => 'Screening Contraindications: (not eligible for MRI exam)',
        'title_spanish' => 'Contraindicaciones del analisis: (exclusivo para el examen)',
        'type' => 'Boolean',
      ),
    ),
    8 => 
    array (
      'question' => 
      array (
        'screen_number' => 3,
        'id' => 12,
        'required' => true,
        'text' => 'Cochlear Implant',
        'text_spanish' => 'Implante Cochlear',
        'title' => 'Screening Contraindications: (not eligible for MRI exam)',
        'title_spanish' => 'Contraindicaciones del analisis: (exclusivo para el examen)',
        'type' => 'Boolean',
      ),
    ),
    9 => 
    array (
      'question' => 
      array (
        'follow_up_questions' => 
        array (
          0 => 
          array (
            'answer' => 1,
            'question' => 
            array (
              'screen_number' => 3,
              'id' => 14,
              'required' => true,
              'text' => 'Please Explain',
              'text_spanish' => 'Por favor explique',
              'type' => 'String',
            ),
          ),
        ),
        'screen_number' => 4,
        'id' => 13,
        'required' => true,
        'text' => 'Have you experienced any problem related to a previous MRI examination or MRI procedure?',
        'text_spanish' => 'Ha tenido una vez un problema relacionado con un examen MRI previa?',
        'title' => 'Screening Contraindications:',
        'title_spanish' => 'Contraindicaciones del analisis',
        'type' => 'Boolean',
      ),
    ),
    10 => 
    array (
      'question' => 
      array (
        'follow_up_questions' => 
        array (
          0 => 
          array (
            'answer' => 1,
            'question' => 
            array (
              'screen_number' => 4,
              'id' => 16,
              'required' => true,
              'text' => 'Please Explain',
              'text_spanish' => 'Por favor explique',
              'type' => 'String',
            ),
          ),
        ),
        'screen_number' => 5,
        'id' => 15,
        'required' => true,
        'text' => 'Have you had an injury to the eye involving a metallic object or fragment (e.g., metallic slivers, shavings, foreign body, etc.)?',
        'text_spanish' => 'Ha tenido una vez una herida al ojo basado en cuerpos metalicos (ej., astilla metalicas, particula etc.)?',
        'title' => 'Screening Contraindications:',
        'title_spanish' => 'Contraindicaciones del analisis',
        'type' => 'Boolean',
      ),
    ),
    11 => 
    array (
      'question' => 
      array (
        'follow_up_questions' => 
        array (
          0 => 
          array (
            'answer' => 1,
            'question' => 
            array (
              'screen_number' => 5,
              'id' => 18,
              'required' => true,
              'text' => 'Please Explain',
              'text_spanish' => 'Por favor explique',
              'type' => 'String',
            ),
          ),
        ),
        'screen_number' => 6,
        'id' => 17,
        'required' => true,
        'text' => 'Have you ever been injured by a metallic object or foreign body (e.g., BB, bullet, shrapnel, etc.)? ',
        'text_spanish' => 'Ha sido herido por un cuerpo metalico (e.g., balas, metralla, etc.)? ',
        'title' => 'Screening Contraindications:',
        'title_spanish' => 'Contraindicaciones del analisis',
        'type' => 'Boolean',
      ),
    ),
    12 => 
    array (
      'question' => 
      array (
        'follow_up_questions' => 
        array (
          0 => 
          array (
            'answer' => 1,
            'question' => 
            array (
              'screen_number' => 6,
              'id' => 20,
              'required' => true,
              'text' => 'Please Explain',
              'text_spanish' => 'Por favor explique',
              'type' => 'String',
            ),
          ),
        ),
        'screen_number' => 7,
        'id' => 19,
        'required' => true,
        'text' => 'Do you have a history of asthma, allergic reaction, respiratory disease, or reaction to a contrast medium or dye used for an MRI, CT, or X-ray examination? ',
        'text_spanish' => 'Tiene una historia de asthma, reacciones alergicas, enfermedades respiratorias, o una reacion contra el medio o tinta usado para un MRI, CT, o radiografia?',
        'title' => 'Screening Contraindications:',
        'title_spanish' => 'Contraindicaciones del analisis',
        'type' => 'Boolean',
      ),
    ),
    13 => 
    array (
      'question' => 
      array (
        'follow_up_questions' => 
        array (
          0 => 
          array (
            'answer' => 1,
            'question' => 
            array (
              'screen_number' => 7,
              'id' => 22,
              'required' => true,
              'text' => 'Please Explain',
              'text_spanish' => 'Por favor explique',
              'type' => 'String',
            ),
          ),
        ),
        'screen_number' => 8,
        'id' => 21,
        'required' => true,
        'text' => 'Do you have anemia or any disease(s) that affects your blood, a history of renal (kidney) disease, or seizures?',
        'text_spanish' => 'Tiene anemia, o alguna otra enfermidad que afecta su sangre, una historia de enfermedades renales, o epilepsia',
        'title' => 'Screening Contraindications:',
        'title_spanish' => 'Contraindicaciones del analisis',
        'type' => 'Boolean',
      ),
    ),
    14 => 
    array (
      'question' => 
      array (
        'screen_number' => 9,
        'id' => 23,
        'required' => false,
        'text' => 'Are you pregnant or experiencing a late menstrual period? ',
        'text_spanish' => 'Esta embarazada o teniendo un retraso en su ciclo menstrual?',
        'title' => 'Female Patients Only:',
        'title_spanish' => 'Para Pacientes Mujeres Unicamente',
        'type' => 'Boolean',
      ),
    ),
    15 => 
    array (
      'question' => 
      array (
        'screen_number' => 9,
        'id' => 24,
        'required' => false,
        'text' => 'Are you currently breastfeeding?',
        'text_spanish' => 'Esta en un periodo de lactancia?',
        'title' => 'Female Patients Only:',
        'title_spanish' => 'Para Pacientes Mujeres Unicamente',
        'type' => 'Boolean',
      ),
    ),
    16 => 
    array (
      'question' => 
      array (
        'screen_number' => 10,
        'id' => 25,
        'instructions' => 'The radiologist may deem it necessary to give you an intravenous injection of a contrast material containing gadolinium to improve the quality of your MRI examination. Although gadolinium agents have been used safely in millions of patients, minor reactions (principally headaches or nausea) occur in less than 5% of patients, and serious or life-threatening reactions have been reported in less than 1%.',
        'instructions_spanish' => 'El radiologo puede decidir que sea necesario administrale una inyeccion de una materia contraste que contiene Gadolinio para mejorar la calidad de su examen MRI.  Aunque gadolinio y derivados han sido usado sin contraindicacion en millones de pacientes, reaciones menores (principalmente dolores de cabeza o nausea) ocurren en menos de 5% de los pacientes, y reaciones serios o peligrosos a la vida han sido reportados en menos que 1% de pacientes.',
        'required' => true,
        'text' => 'History of previous reaction',
        'text_spanish' => 'Historia clinica de reaccion previa',
        'title' => 'Gadolinium (MRI CONTRAST DYE):',
        'title_spanish' => 'El: Gadolinium (TINTURA DE CONTRASTE MRI):',
        'type' => 'Boolean',
      ),
    ),
    17 => 
    array (
      'question' => 
      array (
        'screen_number' => 10,
        'id' => 26,
        'instructions' => 'The radiologist may deem it necessary to give you an intravenous injection of a contrast material containing gadolinium to improve the quality of your MRI examination. Although gadolinium agents have been used safely in millions of patients, minor reactions (principally headaches or nausea) occur in less than 5% of patients, and serious or life-threatening reactions have been reported in less than 1%.',
        'instructions_spanish' => 'El radiologo puede decidir que sea necesario administrale una inyeccion de una materia contraste que contiene Gadolinio para mejorar la calidad de su examen MRI.  Aunque gadolinio y derivados han sido usado sin contraindicacion en millones de pacientes, reaciones menores (principalmente dolores de cabeza o nausea) ocurren en menos de 5% de los pacientes, y reaciones serios o peligrosos a la vida han sido reportados en menos que 1% de pacientes.',
        'required' => true,
        'text' => 'Asthma or emphysema',
        'text_spanish' => 'Asma o enfisema',
        'title' => 'Gadolinium (MRI CONTRAST DYE):',
        'title_spanish' => 'Gadolinio (TINTURA DE CONTRASTE MRI):',
        'type' => 'Boolean',
      ),
    ),
    18 => 
    array (
      'question' => 
      array (
        'screen_number' => 11,
        'id' => 27,
        'required' => true,
        'text' => 'Aneurysm clip(s)',
        'text_spanish' => 'Prenzas de aneurisma',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    19 => 
    array (
      'question' => 
      array (
        'screen_number' => 11,
        'id' => 28,
        'required' => true,
        'text' => 'Cardiac pacemaker',
        'text_spanish' => 'Marcapasos de Corazon',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    20 => 
    array (
      'question' => 
      array (
        'screen_number' => 11,
        'id' => 29,
        'required' => true,
        'text' => 'Implanted cardioverter defibrillator (ICD)',
        'text_spanish' => 'Implantado un desfibrilador cardioversor',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    21 => 
    array (
      'question' => 
      array (
        'screen_number' => 11,
        'id' => 30,
        'required' => true,
        'text' => 'Electronic implant or device',
        'text_spanish' => 'Implante o aparato Electronico',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    22 => 
    array (
      'question' => 
      array (
        'screen_number' => 11,
        'id' => 31,
        'required' => true,
        'text' => 'Artificial or prosthetic limb',
        'text_spanish' => 'Protesis',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    23 => 
    array (
      'question' => 
      array (
        'screen_number' => 12,
        'id' => 32,
        'required' => true,
        'text' => 'Metallic stent, filter, or coil',
        'text_spanish' => 'Stent, filtro o bobina metalica',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    24 => 
    array (
      'question' => 
      array (
        'screen_number' => 12,
        'id' => 33,
        'required' => true,
        'text' => 'Shunt',
        'text_spanish' => 'Derivacion sanguinea',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    25 => 
    array (
      'question' => 
      array (
        'screen_number' => 12,
        'id' => 34,
        'required' => true,
        'text' => 'Vascular access port/ catheter',
        'text_spanish' => 'Aceso o cateter vascular',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    26 => 
    array (
      'question' => 
      array (
        'screen_number' => 12,
        'id' => 35,
        'required' => true,
        'text' => 'Radiation seeds or implants',
        'text_spanish' => 'Semilla o implante radioactiva',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    27 => 
    array (
      'question' => 
      array (
        'screen_number' => 12,
        'id' => 36,
        'required' => true,
        'text' => 'Swan-Ganz or thermodilution catheter',
        'text_spanish' => 'Swan-Ganz o cateter thermodiluido',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    28 => 
    array (
      'question' => 
      array (
        'screen_number' => 13,
        'id' => 37,
        'required' => true,
        'text' => 'Medication patch',
        'text_spanish' => 'Parche para la piel',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    29 => 
    array (
      'question' => 
      array (
        'screen_number' => 13,
        'id' => 38,
        'required' => true,
        'text' => 'Any metallic fragment or foreign body',
        'text_spanish' => 'Fragmento metalico o cuerpo extrano',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    30 => 
    array (
      'question' => 
      array (
        'screen_number' => 13,
        'id' => 39,
        'required' => true,
        'text' => 'Wire mesh implant',
        'text_spanish' => 'Implante de red metalico',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    31 => 
    array (
      'question' => 
      array (
        'screen_number' => 13,
        'id' => 40,
        'required' => true,
        'text' => 'Tissue expander',
        'text_spanish' => 'Expansor de tejido',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    32 => 
    array (
      'question' => 
      array (
        'screen_number' => 13,
        'id' => 41,
        'required' => true,
        'text' => 'Surgical staples, clips, or metallic sutures',
        'text_spanish' => 'Grapas, clips o suturas metÃ¡licas QuirÃºrgicas',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    33 => 
    array (
      'question' => 
      array (
        'screen_number' => 15,
        'id' => 42,
        'required' => true,
        'text' => 'Joint replacement',
        'text_spanish' => 'Remplazo de articulacion',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    34 => 
    array (
      'question' => 
      array (
        'screen_number' => 15,
        'id' => 43,
        'required' => true,
        'text' => 'Bone/joint pin, screw, nail, wire, plate, etc.',
        'text_spanish' => 'Pin, tornillo, clavo, alambre, placas, etc. de hueso',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    35 => 
    array (
      'question' => 
      array (
        'screen_number' => 15,
        'id' => 44,
        'required' => true,
        'text' => 'IUD',
        'text_spanish' => 'IUD',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    36 => 
    array (
      'question' => 
      array (
        'screen_number' => 15,
        'id' => 45,
        'required' => true,
        'text' => 'Dentures or partials',
        'text_spanish' => 'Dentadura o arreglos parciales',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    37 => 
    array (
      'question' => 
      array (
        'screen_number' => 15,
        'id' => 46,
        'required' => true,
        'text' => 'Tattoos or permanent makeup',
        'text_spanish' => 'Tatuaje o maquillaje permanente',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    38 => 
    array (
      'question' => 
      array (
        'screen_number' => 16,
        'id' => 47,
        'required' => true,
        'text' => 'Body piercing(s)/jewelry',
        'text_spanish' => 'Piercings corporales',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    39 => 
    array (
      'question' => 
      array (
        'screen_number' => 16,
        'id' => 48,
        'required' => true,
        'text' => 'Hearing aids',
        'text_spanish' => 'Audifonos',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    40 => 
    array (
      'question' => 
      array (
        'screen_number' => 16,
        'id' => 49,
        'required' => true,
        'text' => 'Breathing problem or motion disorder',
        'text_spanish' => 'Problemas respiratorias o de equilibrio',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    41 => 
    array (
      'question' => 
      array (
        'screen_number' => 16,
        'id' => 50,
        'required' => true,
        'text' => 'Claustrophobia',
        'text_spanish' => 'Claustrofobia',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    42 => 
    array (
      'question' => 
      array (
        'screen_number' => 16,
        'id' => 51,
        'required' => true,
        'text' => 'Other implant',
        'text_spanish' => 'Implantes otros',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    43 => 
    array (
      'question' => 
      array (
        'screen_number' => 17,
        'id' => 52,
        'required' => true,
        'text' => 'Electronic implant or device',
        'text_spanish' => 'Implante o aparato Electronico',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    44 => 
    array (
      'question' => 
      array (
        'screen_number' => 17,
        'id' => 53,
        'required' => true,
        'text' => 'Magnetically activated implant or device',
        'text_spanish' => 'Implante o aparato activado por imanes',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    45 => 
    array (
      'question' => 
      array (
        'screen_number' => 17,
        'id' => 54,
        'required' => true,
        'text' => 'Neuro-stimulator',
        'text_spanish' => 'Estimulador Nueral',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    46 => 
    array (
      'question' => 
      array (
        'screen_number' => 17,
        'id' => 55,
        'required' => true,
        'text' => 'Spinal cord stimulator',
        'text_spanish' => 'Estimulador de columna',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    47 => 
    array (
      'question' => 
      array (
        'screen_number' => 17,
        'id' => 56,
        'required' => true,
        'text' => 'Internal electrodes or wires',
        'text_spanish' => 'Electrodes o alambres internas',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    48 => 
    array (
      'question' => 
      array (
        'screen_number' => 18,
        'id' => 57,
        'required' => true,
        'text' => 'Bone growth/bone fusion stimulator',
        'text_spanish' => 'Estimulador de crecimiento o fusion de hueso',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    49 => 
    array (
      'question' => 
      array (
        'screen_number' => 18,
        'id' => 58,
        'required' => true,
        'text' => 'Cochlear/ear implant',
        'text_spanish' => 'Implante coclear',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    50 => 
    array (
      'question' => 
      array (
        'screen_number' => 18,
        'id' => 59,
        'required' => true,
        'text' => 'Insulin or infusion pump',
        'text_spanish' => 'Bomba de insulina',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    51 => 
    array (
      'question' => 
      array (
        'screen_number' => 18,
        'id' => 60,
        'required' => true,
        'text' => 'Any type of prosthesis (eye, penile, etc.)',
        'text_spanish' => 'Algun tipo de protesis (ocular, genital, etc.)',
        'title' => 'Please indicate if you have any of the following:',
        'title_spanish' => 'Por favor indique si tiene alguno de los siguientes:',
        'type' => 'Boolean',
      ),
    ),
    52 => 
    array (
      'question' => 
      array (
        'screen_number' => 18,
        'id' => 61,
        'required' => false,
        'text' => '',
        'text_spanish' => '',
        'title' => 'Important Instuctions',
        'title_spanish' => 'Instrucciones Importantes',
        'instructions' => 'Before entering the MR environment or MR system room, you must remove all metallic objects including hearing aids, dentures, partial plates, keys, beeper, cell phone, eyeglasses, hair pins, barrettes, jewelry, watch, safety pins, paperclips, money clip, credit cards, coins, pens, pocket knife, nail clipper, tools, clothing with metal fasteners and clothing with metal threads. You will be able to secure your belongings in a locked cabinet prior to entering the MR room.',
        'instructions_spanish' => 'Antes de entrar en el lugar del MRI, o en el cuarto de seguridad del MRI, debera quitar cualquier objeto metalico, incluyendo los audifonos, dentaduras, arreglos parciales, llaves, celulares, lentes, prenzas para el pelo, joyas, relojes, broches, grampas, villeteras, tarjetas de credito, monedas, lapizes, cuchillo de bolsillo, cortaunas, herramientas, ropa con detalles metalicas, etc.  Podra guardar sus pertenencias en un gabinete bajo llave antes de entrar en el cuarto del MRI',
        'type' => 'Message',
      ),
    ),
  ),
)


 */