-- phpMyAdmin SQL Dump
-- version 3.3.2deb1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Apr 06, 2011 at 02:45 PM
-- Server version: 5.1.41
-- PHP Version: 5.3.2-1ubuntu4.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `mriapp`
--

-- --------------------------------------------------------

--
-- Table structure for table `login_attempts`
--

CREATE TABLE IF NOT EXISTS `login_attempts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(40) COLLATE utf8_bin NOT NULL,
  `login` varchar(50) COLLATE utf8_bin NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=2 ;

--
-- Dumping data for table `login_attempts`
--


-- --------------------------------------------------------

--
-- Table structure for table `meta`
--

CREATE TABLE IF NOT EXISTS `meta` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` mediumint(8) unsigned DEFAULT NULL,
  `first_name` varchar(50) DEFAULT NULL,
  `last_name` varchar(50) DEFAULT NULL,
  `company` varchar(100) DEFAULT NULL,
  `phone` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `meta`
--

INSERT INTO `meta` (`id`, `user_id`, `first_name`, `last_name`, `company`, `phone`) VALUES
(1, 1, 'Tayloe', 'Gray', 'TayloeGray LLC', '910-795-4831'),
(2, 2, 'Jake', 'Sharp', 'MRI App', '919-260-1562');

-- --------------------------------------------------------

--
-- Table structure for table `mridata`
--

CREATE TABLE IF NOT EXISTS `mridata` (
  `id` int(12) NOT NULL AUTO_INCREMENT,
  `patient_id` varchar(254) COLLATE utf8_unicode_ci NOT NULL,
  `screening_date` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `phone` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `first_name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `last_name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `gender` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `notes` longtext COLLATE utf8_unicode_ci,
  `json_data` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=40 ;

--
-- Dumping data for table `mridata`
--

INSERT INTO `mridata` (`id`, `patient_id`, `screening_date`, `phone`, `email`, `first_name`, `last_name`, `gender`, `notes`, `json_data`) VALUES
(39, 'UNIQUE IDENTIFIER', '1355292000', '6235233082', 'nick@myshuitings.com', '1', '1', '1', 'Will need custom aparatus for leg MRI', '{ \n"identifier" : "UNIQUE IDENTIFIER",\n"email" : "nick@myshuitings.com",\n"screening_date" : "1355292000",\n"phone" : "6235233082",\n"notes" : "Will need custom aparatus for leg MRI",\n  "responses" : [ \n      { "response" : { "answer" : 1,\n            "question_id" : 1\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 2\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 3\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 4\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 5\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 6\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 7\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 8\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 9\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 10\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 12\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 13\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 14\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 15\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 16\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 17\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 18\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 19\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 20\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 21\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 22\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 23\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 24\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 25\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 26\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 27\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 28\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 29\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 30\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 31\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 32\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 33\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 34\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 35\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 36\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 37\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 38\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 39\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 40\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 41\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 42\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 44\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 45\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 46\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 47\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 48\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 49\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 50\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 51\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 52\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 53\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 54\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 55\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 56\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 57\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 58\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 59\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 60\n          } },\n      { "response" : { "answer" : 1,\n            "question_id" : 61\n          } }\n          \n    ]\n}');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) COLLATE utf8_bin NOT NULL,
  `password` varchar(255) COLLATE utf8_bin NOT NULL,
  `email` varchar(255) COLLATE utf8_bin NOT NULL,
  `activated` tinyint(1) NOT NULL DEFAULT '1',
  `banned` tinyint(1) NOT NULL DEFAULT '0',
  `ban_reason` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `new_password_key` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `new_password_requested` datetime DEFAULT NULL,
  `new_email` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `new_email_key` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `last_ip` varchar(40) COLLATE utf8_bin NOT NULL,
  `last_login` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `market_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=6 ;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `username`, `password`, `email`, `activated`, `banned`, `ban_reason`, `new_password_key`, `new_password_requested`, `new_email`, `new_email_key`, `last_ip`, `last_login`, `created`, `modified`, `market_id`) VALUES
(3, 'user', '$P$BGSGBN4jmvdMtSRdx5mDUr.b0rHs56/', 'user@user.com', 1, 0, NULL, NULL, NULL, NULL, NULL, '0.0.0.0', '0000-00-00 00:00:00', '2011-04-06 14:35:07', '2011-04-06 14:35:07', NULL),
(4, 'admin', '$P$BacWl2n4w84l0K.IhwAGttr526LDkf0', 'admin@admin.com', 1, 0, NULL, NULL, NULL, NULL, NULL, '0.0.0.0', '2011-04-06 14:38:22', '2011-04-06 14:35:28', '2011-04-06 14:38:22', NULL),
(5, 'superadmin', '$P$BdS92nzcB2qX2Lu/cTzp75HFqslbK60', 'superadmin@superadmin.com', 1, 0, NULL, NULL, NULL, NULL, NULL, '0.0.0.0', '2011-04-06 14:38:42', '2011-04-06 14:35:55', '2011-04-06 14:38:42', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `user_autologin`
--

CREATE TABLE IF NOT EXISTS `user_autologin` (
  `key_id` char(32) COLLATE utf8_bin NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `user_agent` varchar(150) COLLATE utf8_bin NOT NULL,
  `last_ip` varchar(40) COLLATE utf8_bin NOT NULL,
  `last_login` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`key_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Dumping data for table `user_autologin`
--


-- --------------------------------------------------------

--
-- Table structure for table `user_profiles`
--

CREATE TABLE IF NOT EXISTS `user_profiles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `country` varchar(20) COLLATE utf8_bin DEFAULT NULL,
  `website` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `first_name` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `last_name` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `birthdate` datetime DEFAULT NULL,
  `zip` varchar(12) COLLATE utf8_bin NOT NULL,
  `city` varchar(254) COLLATE utf8_bin NOT NULL,
  `state` varchar(5) COLLATE utf8_bin NOT NULL,
  `admin_level` varchar(10) COLLATE utf8_bin DEFAULT '0',
  `mobile_number` varchar(30) COLLATE utf8_bin DEFAULT NULL,
  `preferences` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `user_profile_facebook_user_profilename` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `user_profile_facebook_connect_token` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `sort_order` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=6 ;

--
-- Dumping data for table `user_profiles`
--

INSERT INTO `user_profiles` (`id`, `user_id`, `country`, `website`, `first_name`, `last_name`, `birthdate`, `zip`, `city`, `state`, `admin_level`, `mobile_number`, `preferences`, `user_profile_facebook_user_profilename`, `user_profile_facebook_connect_token`, `sort_order`) VALUES
(3, 3, NULL, NULL, 'user', 'user', '2011-01-01 00:00:00', '', '', '', '0', NULL, NULL, NULL, NULL, NULL),
(4, 4, NULL, NULL, 'admin', 'admin', '2011-01-01 00:00:00', '', '', '', '1', NULL, NULL, NULL, NULL, NULL),
(5, 5, NULL, NULL, 'superadmin', 'superadmin', '2011-01-01 00:00:00', '', '', '', '9', NULL, NULL, NULL, NULL, NULL);
